2005-07-07 22:37  kevin

	* docs/release-notes/README-2.0.1, config.TEMPLATE.inc.php: #1700#
	  Renamed pconnect to persistent to match DBConnection class.
	  Modified Files: docs/release-notes/README-2.0.1
	  config.TEMPLATE.inc.php

2005-07-07 00:14  kevin

	* docs/FAQ: #1623# Added FAQ regarding database packages.  Modified
	  Files: docs/FAQ

2005-07-05 18:54  alec

	* pages/admin/AdminJournalHandler.inc.php: #1692# Added rmtree for
	  journal's public files on journal delete.

2005-07-03 23:02  kevin

	* tools/upgrade.php, dbscripts/xml/version.xml: #1423# Fix typos
	  Modified Files: tools/upgrade.php dbscripts/xml/version.xml

2005-07-03 22:31  kevin

	* classes/article/PublishedArticleDAO.inc.php,
	  classes/config/ConfigParser.inc.php,
	  classes/site/ImportOJS1.inc.php, docs/UPGRADE, tools/migrate.php,
	  tools/upgrade.php: #995# #1423#  Fix some upgrade/migration
	  issues found during testing.	Modified Files:
	  classes/article/PublishedArticleDAO.inc.php
	  classes/config/ConfigParser.inc.php
	  classes/site/ImportOJS1.inc.php docs/UPGRADE tools/migrate.php
	  tools/upgrade.php

2005-07-03 18:20  kevin

	* docs/dev/RELEASE: #1623# Minor change to release doc.  Modified
	  Files: docs/dev/RELEASE

2005-07-03 18:10  kevin

	* classes/admin/form/ImportOJS1Form.inc.php,
	  classes/core/Request.inc.php, classes/db/DAO.inc.php,
	  classes/file/PublicFileManager.inc.php,
	  classes/search/ArticleSearchIndex.inc.php,
	  classes/site/ImportOJS1.inc.php,
	  classes/site/VersionCheck.inc.php, dbscripts/xml/version.xml,
	  docs/README, docs/UPGRADE, docs/dev/RELEASE,
	  locale/en_US/locale.xml, locale/te_ST/locale.xml,
	  pages/admin/AdminFunctionsHandler.inc.php,
	  pages/admin/AdminHandler.inc.php, templates/admin/importOJS1.tpl,
	  templates/admin/journals.tpl, templates/admin/systemInfo.tpl,
	  tools/buildpkg.sh, tools/migrate.php, tools/upgrade.php,
	  pages/admin/AdminJournalHandler.inc.php: #995# #1423# Implemented
	  OJS 1.x migration; also some related enhancements to the 2.0
	  upgrade framework.  Modified Files:
	  classes/site/VersionCheck.inc.php templates/admin/journals.tpl
	  templates/admin/systemInfo.tpl tools/buildpkg.sh
	  tools/upgrade.php classes/core/Request.inc.php
	  classes/db/DAO.inc.php classes/file/PublicFileManager.inc.php
	  classes/search/ArticleSearchIndex.inc.php
	  dbscripts/xml/version.xml docs/README docs/UPGRADE
	  locale/en_US/locale.xml locale/te_ST/locale.xml
	  pages/admin/AdminFunctionsHandler.inc.php
	  pages/admin/AdminHandler.inc.php
	  pages/admin/AdminJournalHandler.inc.php Added Files:
	  classes/admin/form/ImportOJS1Form.inc.php
	  classes/site/ImportOJS1.inc.php templates/admin/importOJS1.tpl
	  tools/migrate.php docs/dev/RELEASE

2005-07-02 16:16  kevin

	* classes/submission/editAssignment/EditAssignmentDAO.inc.php:
	  #1623# Trivial fix to retrieve editor assignment date
	  acknowledged field (currently unused).  Modified Files:
	  classes/submission/editAssignment/EditAssignmentDAO.inc.php

2005-07-02 03:17  kevin

	* classes/file/ArticleFileManager.inc.php: #1623# Trivial typo fix
	  in function name.  Modified Files:
	  classes/file/ArticleFileManager.inc.php

2005-07-02 01:19  kevin

	* classes/article/ArticleDAO.inc.php: #1623# Fix trivial bug in
	  insert code for current round field.	Modified Files:
	  classes/article/ArticleDAO.inc.php

2005-06-30 15:59  alec

	* plugins/importexport/native/NativeImportDom.inc.php: #1625#
	  Import/export articles not indexed

2005-06-30 14:49  alec

	* classes/issue/form/IssueForm.inc.php: #1685# Included issue.Issue
	  for ISSUE_LABEL_... constants

2005-06-30 14:09  alec

	* classes/file/: ArticleFileManager.inc.php, FileManager.inc.php:
	  #1625# fileId not returned properly on handleUpload

2005-06-30 13:50  alec

	* plugins/importexport/users/importUsersConfirm.tpl: #1625#
	  Corrected non-XHTML "selected" option attribute

2005-06-30 13:09  alec

	* docs/release-notes/README-2.0.1: Added more detail to release
	  notes

2005-06-30 10:39  alec

	*
	  classes/submission/layoutEditor/LayoutEditorSubmissionDAO.inc.php,
	  pages/copyeditor/CopyeditorHandler.inc.php,
	  pages/layoutEditor/LayoutEditorHandler.inc.php,
	  templates/layoutEditor/completed.tpl: #1287# Added search engine
	  to layout editor archives

2005-06-30 10:24  alec

	* classes/submission/copyeditor/CopyeditorSubmissionDAO.inc.php,
	  classes/submission/proofreader/ProofreaderSubmissionDAO.inc.php,
	  pages/copyeditor/CopyeditorHandler.inc.php,
	  pages/proofreader/ProofreaderHandler.inc.php,
	  templates/copyeditor/completed.tpl,
	  templates/proofreader/completed.tpl: #1287# Search engine added
	  to archives for Copyeditor and Proofreader

2005-06-29 12:12  alec

	* docs/IMPORTEXPORT, plugins/importexport/native/README,
	  plugins/importexport/users/README,
	  plugins/importexport/users/UserXMLParser.inc.php: #1625# Added
	  documentation; corrected typo in user import.

2005-06-28 22:53  kevin

	* pages/install/InstallHandler.inc.php,
	  pages/user/UserHandler.inc.php, templates/common/sidebar.tpl:
	  #1683# Fix language toggle redirect for IE.  Modified Files:
	  pages/install/InstallHandler.inc.php
	  pages/user/UserHandler.inc.php templates/common/sidebar.tpl

2005-06-28 19:00  alec

	* templates/rt/rt.tpl: #1682# Corrected reading tools "close"
	  button

2005-06-28 18:43  alec

	* classes/submission/common/Action.inc.php,
	  classes/submission/editor/EditorSubmissionDAO.inc.php,
	  classes/submission/sectionEditor/SectionEditorSubmissionDAO.inc.php,
	  locale/en_US/locale.xml, pages/editor/EditorHandler.inc.php,
	  pages/sectionEditor/SectionEditorHandler.inc.php,
	  templates/editor/submissions.tpl,
	  templates/sectionEditor/index.tpl,
	  templates/sectionEditor/submissionsInEditing.tpl: #1287#
	  Implemented search engine for submission lists

2005-06-28 15:26  alec

	* pages/search/SearchHandler.inc.php: Mistaken commit of debug
	  output

2005-06-28 15:26  alec

	* classes/core/Request.inc.php,
	  classes/search/ArticleSearchDAO.inc.php,
	  classes/submission/sectionEditor/SectionEditorSubmissionDAO.inc.php,
	  locale/en_US/locale.xml, pages/search/SearchHandler.inc.php,
	  pages/sectionEditor/SectionEditorHandler.inc.php,
	  templates/sectionEditor/submissionsInEditing.tpl: #1287# Added
	  Request function to get date info; modified search implementation
	  to use it

2005-06-28 09:35  alec

	* classes/security/Validation.inc.php, locale/en_US/locale.xml,
	  pages/manager/PeopleHandler.inc.php: #1659# Corrected security
	  issues

2005-06-28 08:52  alec

	* locale/en_US/locale.xml, pages/search/SearchHandler.inc.php,
	  templates/about/siteMap.tpl, templates/search/advancedSearch.tpl,
	  templates/search/search.tpl: #1544# Removed basic search form

2005-06-27 22:43  kevin

	* pages/article/ArticleHandler.inc.php,
	  plugins/importexport/native/importSuccess.tpl,
	  templates/article/article.tpl, templates/article/view.tpl,
	  templates/editor/schedulingQueue.tpl,
	  templates/editor/submissionsInEditing.tpl,
	  templates/editor/submissionsInReview.tpl,
	  templates/editor/submissionsUnassigned.tpl,
	  templates/rt/citeEndNote.tpl, templates/rt/citeProCite.tpl,
	  templates/rt/citeReferenceManager.tpl, templates/rt/metadata.tpl,
	  templates/rt/printerFriendly.tpl, templates/rt/rt.tpl,
	  templates/sectionEditor/submissionsInReview.tpl: #1681# Now
	  displays localized article title and abstract if applicable.
	  Modified Files:	  pages/article/ArticleHandler.inc.php
	  plugins/importexport/native/importSuccess.tpl
	  templates/article/article.tpl templates/article/view.tpl
	  templates/editor/schedulingQueue.tpl
	  templates/editor/submissionsInEditing.tpl
	  templates/editor/submissionsInReview.tpl
	  templates/editor/submissionsUnassigned.tpl
	  templates/rt/citeEndNote.tpl templates/rt/citeProCite.tpl
	  templates/rt/citeReferenceManager.tpl   templates/rt/metadata.tpl
	  templates/rt/printerFriendly.tpl	templates/rt/rt.tpl
	  templates/sectionEditor/submissionsInReview.tpl

2005-06-27 17:35  alec

	* classes/article/AuthorDAO.inc.php,
	  pages/search/SearchHandler.inc.php,
	  templates/search/authorIndex.tpl: #1544# Added alphalist;
	  corrected author index bug when null != ''

2005-06-27 16:54  alec

	* docs/: README, dev/TechnicalReference.pdf,
	  dev/TechnicalReference.sxw: Updated documentation

2005-06-27 11:04  alec

	* dbscripts/xml/upgrade/2.0.1_update.xml: #1624# Added many update
	  statements to correct broken or moved reading tools.

2005-06-26 22:52  kevin

	* classes/manager/form/setup/JournalSetupStep4Form.inc.php: #1623#
	  Removed unused field editorialProcessType Modified Files:
	  classes/manager/form/setup/JournalSetupStep4Form.inc.php

2005-06-26 20:54  kevin

	* classes/install/Install.inc.php,
	  classes/install/Installer.inc.php,
	  classes/install/Upgrade.inc.php,
	  classes/install/form/InstallForm.inc.php,
	  classes/install/form/UpgradeForm.inc.php,
	  classes/site/Version.inc.php, classes/site/VersionCheck.inc.php,
	  dbscripts/xml/install.xml, dbscripts/xml/upgrade.xml,
	  dbscripts/xml/version.xml, classes/config/ConfigParser.inc.php,
	  classes/db/XMLDAO.inc.php, classes/xml/XMLParser.inc.php,
	  dbscripts/xml/dtd/install.dtd,
	  dbscripts/xml/upgrade/2.0.1_update.xml, docs/README,
	  docs/UPGRADE, docs/release-notes/README-2.0.1,
	  locale/en_US/locale.xml,
	  pages/admin/AdminFunctionsHandler.inc.php,
	  pages/install/InstallHandler.inc.php,
	  templates/admin/systemInfo.tpl, templates/install/install.tpl,
	  templates/install/upgrade.tpl,
	  templates/install/upgradeComplete.tpl, tools/upgrade.php,
	  tools/includes/cliTool.inc.php: #1432# #1623# #1680# Upgrade
	  framework; 2.0.1 upgrade descriptor; version check.  Modified
	  Files:      classes/install/Installer.inc.php
	  classes/install/form/InstallForm.inc.php
	  classes/site/Version.inc.php dbscripts/xml/install.xml
	  templates/install/install.tpl
	  classes/config/ConfigParser.inc.php classes/db/XMLDAO.inc.php
	  classes/xml/XMLParser.inc.php docs/README docs/UPGRADE
	  locale/en_US/locale.xml
	  pages/admin/AdminFunctionsHandler.inc.php
	  pages/install/InstallHandler.inc.php
	  templates/admin/systemInfo.tpl tools/includes/cliTool.inc.php
	  Added Files:	    classes/install/Install.inc.php
	  classes/install/Upgrade.inc.php
	  classes/install/form/UpgradeForm.inc.php
	  classes/site/VersionCheck.inc.php dbscripts/xml/upgrade.xml
	  dbscripts/xml/version.xml dbscripts/xml/dtd/install.dtd
	  templates/install/upgrade.tpl
	  templates/install/upgradeComplete.tpl tools/upgrade.php
	  dbscripts/xml/upgrade/2.0.1_update.xml
	  docs/release-notes/README-2.0.1

2005-06-24 14:51  alec

	* templates/index/journal.tpl: #1645# Added issue ID, if available.

2005-06-24 14:50  alec

	* pages/index/IndexHandler.inc.php,
	  pages/issue/IssueHandler.inc.php, templates/index/journal.tpl,
	  templates/issue/view.tpl, templates/issue/viewPage.tpl: #1645#
	  Moved TOC/issue cover page display into index page if custom
	  index data exists and setting to direct to current issue is true.

2005-06-24 10:32  alec

	* locale/en_US/locale.xml, pages/manager/PeopleHandler.inc.php,
	  templates/editor/selectSectionEditor.tpl,
	  templates/manager/people/enrollment.tpl,
	  templates/manager/people/searchUsers.tpl,
	  templates/sectionEditor/searchUsers.tpl,
	  templates/sectionEditor/selectReviewer.tpl,
	  templates/sectionEditor/selectUser.tpl: #1675# Corrected role ID
	  bug; add All to alphalists

2005-06-24 09:55  alec

	* classes/security/RoleDAO.inc.php, classes/xml/XMLWriter.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/users/UserExportDom.inc.php,
	  plugins/importexport/users/UserImportExportPlugin.inc.php,
	  plugins/importexport/users/index.tpl,
	  plugins/importexport/users/locale/en_US/locale.xml: #1625#
	  Completed user export.

2005-06-23 22:34  alec

	* rt/en_US/: Astrophysics.xml, Biology.xml, Chemistry.xml,
	  Cognitive_Science.xml, General_Science.xml, Life_Sciences.xml,
	  Mathematics.xml, Social_Sciences.xml: #1668# Corrected entity
	  references (escaped ampersands)

2005-06-23 22:32  alec

	* rt/en_US/: Agriculture.xml, Art_Architecture.xml,
	  Astrophysics.xml, Biology.xml, Chemistry.xml,
	  Cognitive_Science.xml, Computer_Science.xml, General_Science.xml,
	  Life_Sciences.xml, Mathematics.xml, Physics.xml,
	  Social_Sciences.xml: #1668# Validation and resultant updates

2005-06-23 19:02  alec

	* classes/db/UserXMLParser.inc.php, dbscripts/xml/dtd/users.dtd,
	  locale/en_US/locale.xml, pages/manager/ManagerHandler.inc.php,
	  pages/manager/PeopleHandler.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/locale/en_US/locale.xml,
	  plugins/importexport/users/UserImportExportPlugin.inc.php,
	  plugins/importexport/users/UserXMLParser.inc.php,
	  plugins/importexport/users/importUsersConfirm.tpl,
	  plugins/importexport/users/importUsersResults.tpl,
	  plugins/importexport/users/index.php,
	  plugins/importexport/users/index.tpl,
	  plugins/importexport/users/sample.xml,
	  plugins/importexport/users/users.dtd,
	  plugins/importexport/users/locale/en_US/locale.xml,
	  templates/manager/index.tpl,
	  templates/manager/people/importUsers.tpl,
	  templates/manager/people/importUsersConfirm.tpl,
	  templates/manager/people/importUsersResults.tpl: #1625# Migrated
	  User import to plugin.

2005-06-23 11:49  alec

	* rt/en_US/: Life_Sciences.xml, Mathematics.xml, Music.xml,
	  Physics.xml, Social_Sciences.xml: #1668# Added remaining new RT
	  sites.

2005-06-23 10:53  alec

	* rt/en_US/: Agriculture.xml, Art_Architecture.xml,
	  Astrophysics.xml, Biology.xml, Business.xml, Chemistry.xml,
	  Cognitive_Science.xml, Computer_Science.xml, Economics.xml,
	  Education.xml, Environment.xml, General_Science.xml, Generic.xml,
	  Humanities.xml, Life_Sciences.xml, Mathematics.xml, Music.xml,
	  Physics.xml, Social_Sciences.xml: #1668# Added many new reading
	  tools sites

2005-06-20 21:10  kevin

	* classes/i18n/Locale.inc.php: #1673# Remove dependency on
	  Installer; #1674# include encoding in setlocale().  Modified
	  Files: classes/i18n/Locale.inc.php

2005-06-20 17:54  alec

	* pages/about/AboutHandler.inc.php, templates/about/index.tpl,
	  templates/about/siteMap.tpl: #1462# Basic site map implemented

2005-06-20 16:50  alec

	* plugins/importexport/native/NativeImportExportPlugin.inc.php:
	  #1625# Corrected typo in success page launch code.

2005-06-20 11:51  alec

	* classes/file/ArticleFileManager.inc.php,
	  classes/file/FileManager.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/articleContext.tpl,
	  plugins/importexport/native/importSuccess.tpl,
	  plugins/importexport/native/locale/en_US/locale.xml,
	  plugins/importexport/sample/SampleImportExportPlugin.inc.php:
	  #1625# Added missing article import template; bug fixes with
	  URLs.

2005-06-17 17:23  alec

	* classes/file/ArticleFileManager.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/locale/en_US/locale.xml,
	  templates/rt/suppFiles.tpl: #1625# Added missing
	  supplementary_files import to native plugin; tweaked RT supp.
	  files UI

2005-06-17 15:23  alec

	* locale/en_US/locale.xml,
	  pages/editor/IssueManagementHandler.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625#
	  Completed import/export implementation. Needs testing.

2005-06-17 11:25  alec

	* plugins/importexport/native/: NativeImportExportPlugin.inc.php,
	  locale/en_US/locale.xml: #1625# Added command-line export
	  functionality

2005-06-16 17:23  alec

	* classes/plugins/ImportExportPlugin.inc.php,
	  classes/plugins/PluginRegistry.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/locale/en_US/locale.xml,
	  plugins/importexport/sample/SampleImportExportPlugin.inc.php,
	  tools/importExport.php: #1625# Added basic CLI support

2005-06-16 13:28  alec

	* classes/core/String.inc.php,
	  classes/file/ArticleFileManager.inc.php,
	  plugins/importexport/native/NativeExportDom.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/native.dtd,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625#
	  Completed import implementation. Needs testing.

2005-06-15 23:32  kevin

	* templates/: help/toc.tpl, search/advancedSearch.tpl,
	  search/search.tpl, search/searchResults.tpl: #1671# Consistency
	  change for "Search" localization string.  Modified Files:
	  templates/help/toc.tpl templates/search/advancedSearch.tpl
	  templates/search/search.tpl templates/search/searchResults.tpl

2005-06-15 15:59  alec

	* plugins/importexport/native/importSuccess.tpl: #1625#
	  Import/export success page added

2005-06-15 15:59  alec

	* classes/file/PublicFileManager.inc.php,
	  classes/issue/IssueDAO.inc.php,
	  classes/journal/SectionDAO.inc.php,
	  classes/xml/XMLParserDOMHandler.inc.php,
	  pages/editor/IssueManagementHandler.inc.php,
	  plugins/importexport/native/NativeExportDom.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/native.dtd,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625#
	  Import/export implementation continued; import nearly complete.

2005-06-14 14:43  alec

	* classes/file/FileManager.inc.php,
	  classes/file/PublicFileManager.inc.php,
	  classes/issue/IssueDAO.inc.php,
	  classes/template/TemplateManager.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/importError.tpl,
	  plugins/importexport/native/native.dtd,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625#
	  Import implementation continues -- cover import code

2005-06-13 20:09  kevin

	* classes/oai/ojs/OAIDAO.inc.php: #1669# Fix conversion of
	  from/until datestamps in OAI interface.  Modified Files:
	  classes/oai/ojs/OAIDAO.inc.php

2005-06-13 09:10  alec

	* pages/issue/IssueHandler.inc.php, templates/issue/archive.tpl:
	  Corrected UI bugs in paging for archives.

2005-06-10 17:36  alec

	* plugins/importexport/native/importError.tpl: #1625# Forgotten cvs
	  add for import/export

2005-06-10 17:36  alec

	* locale/en_US/locale.xml,
	  plugins/importexport/native/NativeExportDom.inc.php,
	  plugins/importexport/native/NativeImportDom.inc.php,
	  plugins/importexport/native/NativeImportExportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/index.tpl,
	  plugins/importexport/native/native.dtd,
	  plugins/importexport/native/locale/en_US/locale.xml,
	  templates/manager/index.tpl: #1625# Continued import/export
	  cleanup: Import framework in place

2005-06-10 12:04  alec

	* classes/plugins/ImportExportPlugin.inc.php,
	  classes/search/ArticleSearch.inc.php,
	  plugins/importexport/native/NativeImportExportDom.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/articles.tpl,
	  plugins/importexport/native/index.tpl,
	  plugins/importexport/native/issues.tpl,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625#
	  Completed export functionality.

2005-06-09 20:18  alec

	* classes/article/PublishedArticleDAO.inc.php,
	  classes/journal/SectionDAO.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/native.dtd: #1625# Completed export
	  implementation for native plugin.

2005-06-09 11:02  alec

	* classes/xml/XMLWriter.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/native.dtd: #1625# Issue export
	  nearly complete

2005-06-08 17:31  alec

	* classes/plugins/ImportExportPlugin.inc.php,
	  classes/xml/XMLWriter.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/issues.tpl: #1645# Adding export
	  support and PHP4/5 compatible XML

2005-06-08 13:06  alec

	* plugins/importexport/native/: native.dtd, sample.xml: #1625#
	  Revised DTD and sample to include article metadata and embedded
	  base64 content.

2005-06-07 17:14  alec

	* classes/plugins/PluginRegistry.inc.php,
	  plugins/importexport/native/NativeImportExportPlugin.inc.php,
	  plugins/importexport/native/index.php,
	  plugins/importexport/native/issues.tpl,
	  plugins/importexport/native/native.dtd,
	  plugins/importexport/native/sample.xml,
	  plugins/importexport/native/locale/en_US/locale.xml: #1625# Added
	  preliminary native import/export DTD etc.

2005-06-07 11:07  alec

	* classes/plugins/ImportExportPlugin.inc.php,
	  classes/plugins/Plugin.inc.php, locale/en_US/locale.xml,
	  pages/manager/ImportExportHandler.inc.php,
	  plugins/importexport/sample/SampleImportExportPlugin.inc.php,
	  plugins/importexport/sample/issues.tpl,
	  plugins/importexport/sample/locale/en_US/locale.xml: #1625#
	  Completed sample import/export implementation

2005-06-06 16:59  alec

	* classes/i18n/Locale.inc.php, classes/plugins/Plugin.inc.php,
	  classes/plugins/PluginRegistry.inc.php,
	  plugins/importexport/sample/SampleImportExportPlugin.inc.php,
	  plugins/importexport/sample/locale/en_US/locale.xml: #1625#
	  Improved plugin support; added localization; etc

2005-06-05 12:50  kevin

	* classes/author/form/submit/AuthorSubmitStep1Form.inc.php,
	  classes/install/Installer.inc.php,
	  classes/security/Validation.inc.php,
	  classes/session/SessionManager.inc.php,
	  dbscripts/xml/ojs_schema.xml,
	  pages/manager/PeopleHandler.inc.php: #1480# Use integer field
	  types instead of boolean for better portability.  Modified Files:
		classes/author/form/submit/AuthorSubmitStep1Form.inc.php
	  classes/install/Installer.inc.php
	  classes/security/Validation.inc.php
	  classes/session/SessionManager.inc.php
	  dbscripts/xml/ojs_schema.xml
	  pages/manager/PeopleHandler.inc.php

2005-06-05 12:32  kevin

	* help/en_US/submission/topic/000003.xml: #1604# Add note to help
	  about linebreaks within abstracts not being translated to HTML
	  automatically.  Modified Files:
	  help/en_US/submission/topic/000003.xml

2005-06-05 12:25  kevin

	* classes/core/Request.inc.php: #1654# Simplified the request
	  functions slightly.  Modified Files: classes/core/Request.inc.php

2005-06-05 00:58  kevin

	* classes/template/TemplateManager.inc.php,
	  templates/user/index.tpl: #1666# Do not show "other journals"
	  links on single-journal site.  Modified Files:
	  classes/template/TemplateManager.inc.php templates/user/index.tpl

2005-06-05 00:51  kevin

	* lib/adodb/: datadict/datadict-postgres.inc.php,
	  diff/datadict-postgres.inc.php.diff: #1642# Fix database creation
	  compatibility with PostgreSQL versions < 7.3 Modified Files:
	  lib/adodb/datadict/datadict-postgres.inc.php
	  lib/adodb/diff/datadict-postgres.inc.php.diff

2005-06-04 23:35  kevin

	* config.TEMPLATE.inc.php,
	  classes/search/ArticleSearchIndex.inc.php,
	  classes/search/SearchHelperParser.inc.php: #1464# Full-text file
	  indexing now supports any mime-type via external helper
	  applications.  Modified Files:   config.TEMPLATE.inc.php
	  classes/search/ArticleSearchIndex.inc.php
	  classes/search/SearchHelperParser.inc.php

2005-06-04 18:25  kevin

	* classes/article/ArticleDAO.inc.php,
	  classes/author/form/submit/AuthorSubmitStep5Form.inc.php,
	  classes/search/ArticleSearchIndex.inc.php,
	  tools/rebuildSearchIndex.php: #1465# Added script to rebuild the
	  article search index.  Modified Files:
	  classes/article/ArticleDAO.inc.php
	  classes/author/form/submit/AuthorSubmitStep5Form.inc.php
	  classes/search/ArticleSearchIndex.inc.php Added Files:
	  tools/rebuildSearchIndex.php

2005-06-04 16:20  kevin

	* docs/README-CVS, docs/dev/coding-standards.txt,
	  help/en_US/intro/topic/000000.xml,
	  templates/rtadmin/exportXml.tpl: #1630# Change remaining
	  references to pkp.ubc.ca to pkp.sfu.ca.  Modified Files:
	  docs/README-CVS docs/dev/coding-standards.txt
	  help/en_US/intro/topic/000000.xml
	  templates/rtadmin/exportXml.tpl

2005-06-04 15:16  kevin

	* pages/oai/OAIHandler.inc.php: #1609# Removed unnecessary
	  validation checks from OAI handler.  Modified Files:
	  pages/oai/OAIHandler.inc.php

2005-06-04 15:05  kevin

	* classes/core/Request.inc.php: #1653# Don't add extra / to URL
	  path when site is located in root directory.	Modified Files:
	  classes/core/Request.inc.php

2005-06-04 14:59  kevin

	* templates/email/email.tpl: #1664# Delete email attachment link
	  did not work in KHTML-based browsers.  Modified Files:
	  templates/email/email.tpl

2005-06-03 19:39  kevin

	* templates/user/register.tpl: #1663# "Interests" field had
	  incorrect value.  Modified Files: templates/user/register.tpl

2005-06-03 17:44  alec

	* classes/plugins/ImportExportPlugin.inc.php,
	  classes/plugins/Plugin.inc.php,
	  classes/plugins/PluginRegistry.inc.php, includes/driver.inc.php,
	  locale/en_US/locale.xml,
	  pages/manager/ImportExportHandler.inc.php,
	  pages/manager/ManagerHandler.inc.php,
	  plugins/importexport/sample/SampleImportExportPlugin.inc.php,
	  plugins/importexport/sample/index.php,
	  templates/manager/importexport/plugins.tpl: #1625# Initial add of
	  partially-completed plugin/import/export framework

2005-06-02 22:03  kevin

	* templates/: author/submission/management.tpl,
	  author/submission/summary.tpl, copyeditor/submission/summary.tpl,
	  layoutEditor/submission/summary.tpl,
	  proofreader/submission/summary.tpl,
	  sectionEditor/submission/management.tpl,
	  sectionEditor/submission/summary.tpl: #1654# Change "Editor"
	  label to "Section Editor" in submission summary.  Modified Files:
	  templates/author/submission/management.tpl
	  templates/author/submission/summary.tpl
	  templates/copyeditor/submission/summary.tpl
	  templates/layoutEditor/submission/summary.tpl
	  templates/proofreader/submission/summary.tpl
	  templates/sectionEditor/submission/management.tpl
	  templates/sectionEditor/submission/summary.tpl

2005-06-02 19:03  kevin

	* locale/en_US/locale.xml: #1661# Fix typo: ISBN should be ISSN.
	  Modified Files: locale/en_US/locale.xml

2005-06-02 09:28  alec

	* templates/search/: searchResults.tpl, titleIndex.tpl: #1544#
	  Improved search interface issues

2005-06-01 23:43  kevin

	* templates/: article/article.tpl, article/interstitial.tpl,
	  article/pdfInterstitial.tpl, article/view.tpl,
	  editor/notifyUsersEmail.tpl, help/header.tpl, rt/header.tpl,
	  rt/printerFriendly.tpl, rt/rt.tpl, submission/instructions.tpl,
	  submission/comment/header.tpl, submission/layout/proofGalley.tpl,
	  submission/layout/proofGalleyHTML.tpl,
	  submission/layout/proofGalleyTop.tpl: #1660# Include journal
	  stylesheet within all applicable templates.  Modified Files:
	  templates/article/article.tpl
	  templates/article/interstitial.tpl
	  templates/article/pdfInterstitial.tpl
	  templates/article/view.tpl
	  templates/editor/notifyUsersEmail.tpl   templates/help/header.tpl
	  templates/rt/header.tpl	templates/rt/printerFriendly.tpl
	  templates/rt/rt.tpl	 templates/submission/instructions.tpl
	  templates/submission/comment/header.tpl
	  templates/submission/layout/proofGalley.tpl
	  templates/submission/layout/proofGalleyHTML.tpl
	  templates/submission/layout/proofGalleyTop.tpl

2005-06-01 17:55  alec

	* classes/article/AuthorDAO.inc.php,
	  classes/article/PublishedArticleDAO.inc.php,
	  classes/search/ArticleSearch.inc.php, locale/en_US/locale.xml,
	  pages/search/SearchHandler.inc.php, templates/common/sidebar.tpl,
	  templates/search/authorIndex.tpl,
	  templates/search/titleIndex.tpl: #1566# Added "Browse by title"
	  feature; Also made Author Index paged.

2005-06-01 12:21  alec

	* pages/sectionEditor/SubmissionEditHandler.inc.php,
	  templates/sectionEditor/selectUser.tpl: #1585# Currently assigned
	  user now displayed with "Assigned" instead of assign link

2005-06-01 11:20  alec

	* classes/comment/CommentDAO.inc.php,
	  classes/comment/form/CommentForm.inc.php,
	  classes/manager/form/setup/JournalSetupStep2Form.inc.php,
	  pages/article/ArticleHandler.inc.php,
	  pages/comment/CommentHandler.inc.php,
	  templates/article/article.tpl, templates/comment/comment.tpl,
	  templates/comment/comments.tpl,
	  templates/manager/setup/step2.tpl, templates/rt/rt.tpl: #1637#
	  Changed comment setting to numeric

2005-06-01 09:53  alec

	* classes/manager/form/setup/JournalSetupStep1Form.inc.php,
	  locale/en_US/locale.xml: #1641# Required contact and support name
	  and emails.

2005-05-31 22:58  kevin

	* classes/session/SessionManager.inc.php: #1651# Set
	  session.cache_limiter to "none" instead of default "nocache"
	  Modified Files: classes/session/SessionManager.inc.php

2005-05-31 22:53  kevin

	* classes/submission/editor/EditorAction.inc.php,
	  dbscripts/xml/data/locale/en_US/email_templates_data.xml: #1657#
	  Submission URL in EDITOR_ASSIGN template should link to
	  submission review instead of editing.  Modified Files:
	  dbscripts/xml/data/locale/en_US/email_templates_data.xml
	  classes/submission/editor/EditorAction.inc.php

2005-05-31 18:06  alec

	* pages/about/AboutHandler.inc.php, templates/about/contact.tpl,
	  templates/about/editorialPolicies.tpl, templates/about/index.tpl,
	  templates/about/journalSponsorship.tpl,
	  templates/about/submissions.tpl: #1644# Empty about items no
	  longer displayed.

2005-05-31 17:35  alec

	* pages/rt/RTHandler.inc.php: #1655# Corrected PHP error if invalid
	  context/version ID

2005-05-31 14:13  alec

	* locale/en_US/locale.xml, pages/search/SearchHandler.inc.php,
	  templates/search/searchResults.tpl: #1542# Added search revision
	  features

2005-05-31 13:11  alec

	* templates/search/searchResults.tpl: #1544# No Journal column
	  displayed if searching in one journal

2005-05-31 12:44  alec

	* locale/en_US/locale.xml, templates/issue/archive.tpl,
	  templates/issue/current.tpl: #1545# Added "no issues available"
	  message to current and archive views

2005-05-31 12:36  alec

	* pages/rtadmin/RTSetupHandler.inc.php: #1553# RT options enabled
	  by default

2005-05-31 11:42  alec

	* pages/author/TrackSubmissionHandler.inc.php,
	  templates/author/submission/status.tpl: #1596# Added issue
	  information to Author's Status section

2005-05-31 08:41  kevin

	* locale/en_US/locale.xml: #1656# Added missing message close tag.
	  Modified Files: locale/en_US/locale.xml

2005-05-30 21:28  kevin

	* rt/en_US/Education.xml, templates/rt/context.tpl: #1650# Fixed a
	  broken search URL in the Education RT; fixed space substitution
	  in keywords passed in URL Modified Files: rt/en_US/Education.xml
	  templates/rt/context.tpl

2005-05-30 15:09  alec

	* templates/manager/people/selectTemplate.tpl: #1561# Removed
	  "Select Locale" if only one locale is available

2005-05-30 14:40  alec

	* templates/manager/people/enrollment.tpl: #1565# Corrected odd
	  "select all" behavior

2005-05-30 14:35  alec

	* templates/: reviewer/completed.tpl,
	  sectionEditor/submission/rounds.tpl: #1578# Added round
	  information to cancels/regrets and reviewer archive

2005-05-30 13:09  alec

	* pages/sectionEditor/SubmissionEditHandler.inc.php,
	  templates/sectionEditor/submission/status.tpl: #1596# Added issue
	  ID for published articles

2005-05-30 11:48  alec

	* locale/en_US/locale.xml: #1621# Terminology correction

2005-05-30 11:46  alec

	* classes/submission/sectionEditor/SectionEditorAction.inc.php,
	  locale/en_US/locale.xml,
	  pages/sectionEditor/SubmissionEditHandler.inc.php,
	  templates/sectionEditor/submission/editorDecision.tpl: #1621#
	  Editor now cannot record decision until section editor is
	  assigned; added note to that effect in UI.

2005-05-30 11:00  alec

	* classes/submission/author/AuthorSubmission.inc.php,
	  classes/submission/copyeditor/CopyeditorAction.inc.php,
	  classes/submission/proofreader/ProofreaderAction.inc.php,
	  classes/submission/proofreader/ProofreaderSubmission.inc.php,
	  pages/author/TrackSubmissionHandler.inc.php,
	  pages/layoutEditor/SubmissionLayoutHandler.inc.php,
	  pages/proofreader/SubmissionProofreadHandler.inc.php: #1620#

2005-05-30 10:06  alec

	* classes/article/PublishedArticleDAO.inc.php,
	  classes/mail/MailTemplate.inc.php, dbscripts/xml/ojs_schema.xml,
	  pages/editor/EditorHandler.inc.php,
	  pages/editor/IssueManagementHandler.inc.php: #1631# Corrected
	  overly strict "screen name" validation for emails

2005-05-28 15:18  kevin

	* classes/security/RoleDAO.inc.php: #1643# Retrieve users by role
	  now orders by last name.  Modified Files:
	  classes/security/RoleDAO.inc.php

2005-05-25 22:42  kevin

	* pages/rt/RTHandler.inc.php, rt/en_US/Education.xml,
	  templates/rt/context.tpl: #1649# Keywords were not appended to RT
	  search URLs that did not end in "=".	Modified Files:
	  pages/rt/RTHandler.inc.php rt/en_US/Education.xml
	  templates/rt/context.tpl

2005-05-23 15:45  kevin

	* templates/reviewer/active.tpl: #1570# Added due date to
	  reviewer's active assignments list.  Modified Files:
	  templates/reviewer/active.tpl

2005-05-23 15:38  kevin

	* classes/submission/author/AuthorSubmission.inc.php,
	  classes/submission/author/AuthorSubmissionDAO.inc.php,
	  classes/submission/copyAssignment/CopyAssignmentDAO.inc.php,
	  classes/submission/copyeditor/CopyeditorSubmission.inc.php,
	  classes/submission/copyeditor/CopyeditorSubmissionDAO.inc.php,
	  classes/submission/proofAssignment/ProofAssignment.inc.php,
	  classes/submission/proofAssignment/ProofAssignmentDAO.inc.php,
	  classes/submission/reviewAssignment/ReviewAssignmentDAO.inc.php,
	  classes/submission/reviewer/ReviewerSubmission.inc.php,
	  classes/submission/reviewer/ReviewerSubmissionDAO.inc.php,
	  classes/submission/sectionEditor/SectionEditorSubmission.inc.php,
	  classes/submission/sectionEditor/SectionEditorSubmissionDAO.inc.php,
	  dbscripts/xml/ojs_schema.xml: #1639# Removed deprecated comments
	  field from assignments tables.  Modified Files:
	  classes/submission/author/AuthorSubmission.inc.php
	  classes/submission/author/AuthorSubmissionDAO.inc.php
	  classes/submission/copyAssignment/CopyAssignmentDAO.inc.php
	  classes/submission/copyeditor/CopyeditorSubmission.inc.php
	  classes/submission/copyeditor/CopyeditorSubmissionDAO.inc.php
	  classes/submission/proofAssignment/ProofAssignment.inc.php
	  classes/submission/proofAssignment/ProofAssignmentDAO.inc.php
	  classes/submission/reviewAssignment/ReviewAssignmentDAO.inc.php
		classes/submission/reviewer/ReviewerSubmission.inc.php
	  classes/submission/reviewer/ReviewerSubmissionDAO.inc.php
	  classes/submission/sectionEditor/SectionEditorSubmission.inc.php

	  classes/submission/sectionEditor/SectionEditorSubmissionDAO.inc.php
	  dbscripts/xml/ojs_schema.xml

2005-05-23 15:11  kevin

	* classes/submission/copyAssignment/CopyAssignmentDAO.inc.php:
	  #1623# Added missing field in CopyAssignment Modified Files:
	  classes/submission/copyAssignment/CopyAssignmentDAO.inc.php

2005-05-23 14:58  kevin

	* includes/driver.inc.php: #1628# Added "." to default include_path
	  Modified Files: includes/driver.inc.php

2005-05-23 12:04  kevin

	* lib/adodb/datadict/datadict-mysql.inc.php: #1640# Apply UTF-8
	  patch to MySQL data dictionary.  Modified Files:
	  lib/adodb/datadict/datadict-mysql.inc.php

2005-05-22 23:52  kevin

	* pages/rt/RTHandler.inc.php: #1601# Send Content-Disposition
	  header with RT citations.  Modified Files:
	  pages/rt/RTHandler.inc.php

2005-05-22 13:57  kevin

	* classes/: issue/Issue.inc.php, issue/form/IssueForm.inc.php,
	  oai/ojs/OAIDAO.inc.php: #1636# Issue label format constants
	  should not be hardcoded.  Modified Files:
	  classes/issue/Issue.inc.php classes/issue/form/IssueForm.inc.php
	  classes/oai/ojs/OAIDAO.inc.php

2005-05-22 13:56  kevin

	* classes/rt/RT.inc.php, templates/about/editorialPolicies.tpl:
	  #1623# Trivial bugs: missing close comment in RT struct; no
	  linebreaks in open access policy on about page.  Modified Files:
	  classes/rt/RT.inc.php templates/about/editorialPolicies.tpl

2005-05-21 17:37  kevin

	* config.TEMPLATE.inc.php, classes/db/UserXMLParser.inc.php,
	  docs/FAQ, docs/README, docs/REPORTING-BUGS,
	  docs/dev/coding-standards.txt, help/en_US/intro/topic/000000.xml,
	  help/en_US/site/topic/000001.xml,
	  help/en_US/site/topic/000002.xml, locale/en_US/locale.xml,
	  rt/en_US/Agriculture.xml, rt/en_US/Art_Architecture.xml,
	  rt/en_US/Astrophysics.xml, rt/en_US/Biology.xml,
	  rt/en_US/Business.xml, rt/en_US/Chemistry.xml,
	  rt/en_US/Cognitive_Science.xml, rt/en_US/Computer_Science.xml,
	  rt/en_US/Economics.xml, rt/en_US/Education.xml,
	  rt/en_US/Environment.xml, rt/en_US/General_Science.xml,
	  rt/en_US/Generic.xml, rt/en_US/Humanities.xml,
	  rt/en_US/Life_Sciences.xml, rt/en_US/Mathematics.xml,
	  rt/en_US/Music.xml, rt/en_US/Physics.xml,
	  rt/en_US/Social_Sciences.xml, templates/common/sidebar.tpl:
	  #1630# Change all references to pkp.ubc.ca to pkp.sfu.ca Modified
	  Files:     config.TEMPLATE.inc.php
	  classes/db/UserXMLParser.inc.php	  docs/FAQ docs/README
	  docs/REPORTING-BUGS	     docs/dev/coding-standards.txt
	  help/en_US/intro/topic/000000.xml
	  help/en_US/site/topic/000001.xml
	  help/en_US/site/topic/000002.xml locale/en_US/locale.xml
	  rt/en_US/Agriculture.xml rt/en_US/Art_Architecture.xml
	  rt/en_US/Astrophysics.xml rt/en_US/Biology.xml
	  rt/en_US/Business.xml rt/en_US/Chemistry.xml
	  rt/en_US/Cognitive_Science.xml rt/en_US/Computer_Science.xml
	  rt/en_US/Economics.xml rt/en_US/Education.xml
	  rt/en_US/Environment.xml rt/en_US/General_Science.xml
	  rt/en_US/Generic.xml rt/en_US/Humanities.xml
	  rt/en_US/Life_Sciences.xml rt/en_US/Mathematics.xml
	  rt/en_US/Music.xml rt/en_US/Physics.xml
	  rt/en_US/Social_Sciences.xml templates/common/sidebar.tpl

2005-05-21 17:24  kevin

	* classes/mail/MailTemplate.inc.php: #1634# Fixed email address
	  validation when address contains hyphens.  Modified Files:
	  classes/mail/MailTemplate.inc.php

2005-05-20 21:22  kevin

	* locale/en_US/locale.xml, tools/genLocaleReport.sh: #1623# Remove
	  duplicate localization keys.	Modified Files:
	  locale/en_US/locale.xml tools/genLocaleReport.sh

2005-05-20 15:33  alec

	* classes/rt/ojs/RTDAO.inc.php,
	  pages/rtadmin/RTContextHandler.inc.php,
	  pages/rtadmin/RTSearchHandler.inc.php: #1614# Fixed sequencing
	  problems for contexts and searches

2005-05-20 13:07  alec

	* classes/search/ArticleSearch.inc.php,
	  classes/search/ArticleSearchIndex.inc.php,
	  pages/search/SearchHandler.inc.php: #1619# Unified keyword
	  splitting code; punctuation now stripped from search terms on
	  search.

2005-05-20 12:58  alec

	* classes/comment/form/CommentForm.inc.php,
	  pages/issue/IssueHandler.inc.php: #1606# Corrected duplicate
	  child comment count increment; also corrected missing parameter
	  bug in IssueHandler::index()

2005-05-18 21:29  kevin

	* classes/admin/form/SiteSettingsForm.inc.php,
	  classes/install/Installer.inc.php, locale/en_US/locale.xml,
	  templates/admin/settings.tpl: #1546# Made site title, contact,
	  and password length required fields.	Modified Files:
	  classes/admin/form/SiteSettingsForm.inc.php
	  classes/install/Installer.inc.php locale/en_US/locale.xml
	  templates/admin/settings.tpl

2005-05-18 21:22  kevin

	* docs/FAQ: #1623# Added FAQ regarding sessions.auto_start ini
	  setting.  Modified Files: docs/FAQ

2005-05-18 15:08  alec

	* classes/rt/ojs/RTDAO.inc.php: #1626# Corrected broken delete
	  function

